Bug 1417803 - debug/trace: Print iatts of individual entries in readdirp callback for better debugging experience
Summary: debug/trace: Print iatts of individual entries in readdirp callback for bette...
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: trace
Version: 3.7.20
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1415560 1417804
Blocks: 1417802
TreeView+ depends on / blocked
 
Reported: 2017-01-31 05:52 UTC by Krutika Dhananjay
Modified: 2017-03-08 10:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1415560
Environment:
Last Closed: 2017-03-08 10:49:21 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Krutika Dhananjay 2017-01-31 05:52:47 UTC
+++ This bug was initially created as a clone of Bug #1415560 +++

Description of problem:
Print iatts of individual entries in readdirp callback for better debugging experience


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from hari gowtham on 2017-01-24 07:32:09 EST ---

Hi Krutika, I see that the subject of the bug is sort of self explanatory, still it would be better if you can fill up the description for other to have a better understanding. 
Thanks.

--- Additional comment from Krutika Dhananjay on 2017-01-31 00:50:08 EST ---

https://review.gluster.org/#/c/16453/

Comment 1 Worker Ant 2017-01-31 05:53:06 UTC
REVIEW: https://review.gluster.org/16483 (debug/trace: Print entries' iatts in readdirp cbk) posted (#1) for review on release-3.7 by Krutika Dhananjay (kdhananj@redhat.com)

Comment 2 Worker Ant 2017-02-01 10:01:31 UTC
COMMIT: https://review.gluster.org/16483 committed in release-3.7 by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit c1bf0d8244768c33538a07b1864a5a97ea807c0e
Author: Krutika Dhananjay <kdhananj@redhat.com>
Date:   Mon Jan 9 12:45:36 2017 +0530

    debug/trace: Print entries' iatts in readdirp cbk
    
            Backport of: http://review.gluster.org/16432
    
    Change-Id: Iad5decc8c91f575c6e941c9916ef3e80e482e3d3
    BUG: 1417803
    Signed-off-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-on: https://review.gluster.org/16483
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>

Comment 3 Kaushal 2017-03-08 10:49:21 UTC
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.


Note You need to log in before you can comment on or make changes to this bug.